Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Protected Attributes
tlp::GlSceneEvent Class Reference

An observer to the scene An observer to the scene who observe layers. More...

`#include <GlSceneObserver.h>`

Collaboration diagram for tlp::GlSceneEvent:
[legend]

List of all members.

## Public Types

- enum GlSceneEventType { TLP_ADDLAYER = 0, TLP_DELLAYER, TLP_MODIFYLAYER, TLP_MODIFYENTITY }

## Public Member Functions

- GlSceneEvent (const GlScene &scene, GlSceneEventType sceneEventType, const std::string &layerName, GlLayer *layer)
- GlSceneEvent (const GlScene &scene, GlSimpleEntity *entity)
- GlSimpleEntity * getGlSimpleEntity ()
- std::string getLayerName ()
- GlLayer * getLayer ()

## Protected Attributes

- GlSceneEventType sceneEventType
- std::string layerName
- GlLayer * layer
- GlSimpleEntity * glSimpleEntity

## Detailed Description

An observer to the scene An observer to the scene who observe layers.

## Member Enumeration Documentation

enum tlp::GlSceneEvent::GlSceneEventType

Enumerator:

  TLP_ADDLAYER |
  TLP_DELLAYER |
  TLP_MODIFYLAYER |
  TLP_MODIFYENTITY |

## Constructor & Destructor Documentation

tlp::GlSceneEvent::GlSceneEvent | ( | const GlScene & | scene,
|  | GlSceneEventType | sceneEventType,
|  | const std::string & | layerName,
|  | GlLayer * | layer
| ) |  |

tlp::GlSceneEvent::GlSceneEvent | ( | const GlScene & | scene,
|  | GlSimpleEntity * | entity
| ) |  |

## Member Function Documentation

GlSimpleEntity* tlp::GlSceneEvent::getGlSimpleEntity | ( |  | ) |

GlLayer* tlp::GlSceneEvent::getLayer | ( |  | ) |

std::string tlp::GlSceneEvent::getLayerName | ( |  | ) |

## Member Data Documentation

GlSimpleEntity* tlp::GlSceneEvent::glSimpleEntity`[protected]`

GlLayer* tlp::GlSceneEvent::layer`[protected]`

std::string tlp::GlSceneEvent::layerName`[protected]`

GlSceneEventType tlp::GlSceneEvent::sceneEventType`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012